Media Remote for Kodi - Task #306

Build a multi button prototype with the MCU
2022-10-01 21:18 - Fredrick Amnehagen

Status: To do Start date: 2022-10-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 2022 Spent time: 0:00 hour
Description

Use the analog input to get 11 inputs into the esp 32.
There are many examples on how to use resistors and then using the analog input, measure the difference and determine what
button is pressed.

We just need a schematic and a code draft nothing fancy. Then build it on a bread board and test it with terminal output.

History

#1 - 2022-10-03 22:31 - Fredrick Amnehagen

e Soldered AWG24 wires to all the terminals of the ESP32 module.
¢ Next up, connecting power and an FTDI interface followed by a hello world type application.

#2 - 2022-10-04 10:29 - Fredrick Amnehagen
h

#3 - 2022-10-04 10:34 - Fredrick Amnehagen

https://microcontrollerslab.com/ds3231-rtc-module-pinout-interfacing-with-arduino-features/

https://electropeak.com/learn/interfacing-ds3231-real-time-clock-rtc-module-with-arduino/
https: rtists.com/firmwar: 2-firmwar 2-ntp-and-ds3231-r

https://www.aliexpress.com/item/4001185373896.html
https://www.aliexpress.com/item/4001236084299.html

https://www.radioshuttle.de/en/media-en/tech-infos-en/battery-powered-esp32/

Connecting the programmer
https://www.esp32.com/viewtopic.php?t=14057

#4 - 2022-10-08 10:43 - Fredrick Amnehagen

¢ Waiting for the new FTDI232rl modules to arrive in the mail.

#5 - 2022-10-12 21:51 - Fredrick Amnehagen

WARNING: Category " in library ESP RainMaker is not valid. Setting to 'Uncategorized'
WARNING: Category " in library WiFiProv is not valid. Setting to 'Uncategorized'
Build options changed, rebuilding all
https://www.youtube.com/watch?v=ZR2ob_wYX60&t=218s&ab_channel=ItKindaWorks
https://microcontrollerslab.com/ds3231-rtc-module-pinout-interfacing-with-arduino-features/
https://electropeak.com/learn/interfacing-ds3231-real-time-clock-rtc-module-with-arduino/
https://pcbartists.com/firmware/esp32-firmware/esp32-ntp-and-ds3231-rtc/
https://www.aliexpress.com/item/4001185373896.html
https://www.aliexpress.com/item/4001236084299.html
https://www.radioshuttle.de/en/media-en/tech-infos-en/battery-powered-esp32/
https://www.esp32.com/viewtopic.php?t=14057

Archiving built core (caching) in:

/tmp/arduino_cache_994342/core/core_esp32_esp32_esp32da_PartitionScheme_default, CPUFreq_240,FlashMode_gio,FlashFreq_80,FlashSize_4
M,UploadSpeed_921600,LoopCore_1,EventsCore_1,DebuglLevel_none,EraseFlash_none_501fed5bdf636de3aal6acbd8f117036.a
Sketch uses 243485 bytes (18%) of program storage space. Maximum is 1310720 bytes.

Global variables use 16420 bytes (5%) of dynamic memory, leaving 311260 bytes for local variables. Maximum is 327680 bytes.
python3 /home/fredrick/.arduino15/packages/esp32/tools/esptool_py/4.2.1/esptool.py --chip esp32 --port /dev/ttyUSBO --baud 921600 --before
default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size 4MB 0x1000
/tmp/arduino_build_874226/GetChiplD.ino.bootloader.bin 0x8000 /tmp/arduino_build_874226/GetChiplD.ino.partitions.bin 0xe000
/home/fredrick/.arduino15/packages/esp32/hardware/esp32/2.0.5/tools/partitions/boot_app0.bin 0x10000
/tmp/arduino_build_874226/GetChiplD.ino.bin

esptool.py v4.2.1

Serial port /dev/ttyUSB0O

Connecting....

Chip is ESP32-DOWDQ6 (revision 1)

Features: WiFi, BT, Dual Core, Coding Scheme None

Crystal is 40MHz

MAC: 30:ae:a4:1f:e4:88

Uploading stub...

Running stub...

Stub running...

Changing baud rate to 921600

Changed.

WARNING: Failed to communicate with the flash chip, read/write operations will fail. Try checking the chip connections or removing any other
hardware connected to 10s.

Configuring flash size...

Flash will be erased from 0x00001000 to 0x00005fff...

Flash will be erased from 0x00008000 to 0x00008fff...

Flash will be erased from 0x0000e000 to 0x0000ffff...

Flash will be erased from 0x00010000 to 0x0004bfff...

Compressed 18912 bytes to 13025...

Writing at 0x00001000... (100 %)

A fatal error occurred: Serial data stream stopped: Possible serial noise or corruption.
A fatal error occurred: Serial data stream stopped: Possible serial noise or corruption.

#6 - 2022-10-12 21:51 - Fredrick Amnehagen

¢ powered from ftdi module that may be the issue.
#7 - 2023-04-19 19:34 - Fredrick Amnehagen
- Subject changed from Build a multi button prototype with esp32 to Build a multi button prototype with the MCU

#8 - 2024-08-09 12:15 - Fredrick Amnehagen
- Assignee deleted (Fredrick Amnehagen)
